<div class="pt-2 pl-2">
  <button
    (click)="goToHome()"
    pButton
    pRipple
    class="text-xl"
    label="Back"
  ></button>
</div>

<div class="surface-section p-4">
  <div class="font-medium text-3xl text-900 mb-3">Movie Information</div>
  <ul class="list-none p-0 m-0">
    <li
      class="flex align-items-center py-3 px-2 border-top-1 surface-border flex-wrap"
    >
      <div class="text-500 w-6 md:w-2 font-medium">Title</div>
      <div class="text-900 w-full md:w-8 md:flex-order-0 flex-order-1">
        {{ movie?.title }}
      </div>
    </li>
    <li
      class="flex align-items-center py-3 px-2 border-top-1 surface-border flex-wrap"
    >
      <div class="text-500 w-6 md:w-2 font-medium">Genre</div>
      <div class="text-900 w-full md:w-8 md:flex-order-0 flex-order-1">
        <p-chip
          *ngFor="let genre of movie?.genres"
          label="{{ genre }}"
          class="mr-2"
        ></p-chip>
      </div>
    </li>
    <li
      class="flex align-items-center py-3 px-2 border-top-1 border-bottom-1 surface-border flex-wrap"
    >
      <div class="text-500 w-6 md:w-2 font-medium">Plot</div>
      <div
        class="text-900 w-full md:w-8 md:flex-order-0 flex-order-1 line-height-3"
      >
        {{ movie?.overview }}
      </div>
    </li>
  </ul>
</div>
